VERSION 5.00
Begin VB.UserControl Eyeball 
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ScaleHeight     =   3600
   ScaleWidth      =   4800
End
Attribute VB_Name = "Eyeball"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private Sub UserControl_Initialize()
kill = False
frmMain.Show
End Sub

Public Property Get winhandle() As Long
Attribute winhandle.VB_Description = "Handle of capture window "
   winhandle = frmMain.capwnd
End Property
Public Sub SnapToClipboard()
Attribute SnapToClipboard.VB_Description = "Catch a frame, afterwards paste it to a picture"
    capEditCopy ByVal frmMain.capwnd
End Sub
Public Sub shut()
kill = True
Do
   DoEvents
Loop While waiting
Unload frmMain
End Sub
Public Property Get pwidth() As Long
Attribute pwidth.VB_Description = "picture width - pixels"
   pwidth = picwidth
End Property
Public Property Get pheight() As Long
Attribute pheight.VB_Description = "picture height - pixels"
   pheight = picheight
End Property
Public Sub source()
   capDlgVideoSource frmMain.capwnd
End Sub
Public Sub OnTop()
Attribute OnTop.VB_Description = "Make camera pane visible"
    frmMain.ZOrder (0)
End Sub

Public Sub SnapToArray(bytes() As Byte)
Attribute SnapToArray.VB_Description = "Fill supplied byte array with data - pic(2, w-1,h) as byte, 2=red"
Dim i As Integer
  destination = VarPtr(bytes(0, 0, 0))
  arraybytes = 1# * (UBound(bytes(), 1) + 1) * (UBound(bytes(), 2) + 1) * (UBound(bytes(), 3) + 1)
  capSetCallbackOnFrame frmMain.capwnd, AddressOf MyFrameCallback
  waiting = True
  Do
     If kill Then waiting = False
     DoEvents
  Loop While waiting
End Sub

Public Sub format()
   capDlgVideoFormat frmMain.capwnd
End Sub

