VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Eye Eye"
   ClientHeight    =   570
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   1605
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   38
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   107
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox viewfinder 
      Height          =   615
      Left            =   0
      ScaleHeight     =   555
      ScaleWidth      =   1035
      TabIndex        =   1
      Top             =   0
      Width           =   1095
   End
   Begin VB.CommandButton killit 
      Caption         =   "kill"
      Height          =   375
      Left            =   1200
      TabIndex        =   0
      Top             =   120
      Width           =   375
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*
'* Author: E. J. Bantz Jr.
'* Copyright: None, use and distribute freely ...
'* E-Mail: ejbantz@usa.net
'* Web: http://www.inlink.com/~ejbantz
'
'* Original C Code Author: Neil Kolban
'* E-Mail: kolban@onramp.net
'* Web: http://rampages.onramp.net/~kolban/video
'*
Option Explicit

Dim lwndC As Long       ' Handle to the Capture Windows
Dim lNFrames As Long  ' Number of frames captured
Public Property Get capwnd() As Long
    capwnd = lwndC
End Property

Sub ResizeCaptureWindow(ByVal lwnd As Long)
 
    Dim CAPSTATUS As CAPSTATUS
    
    '// Get the capture window attributes .. width and height
    capGetStatus lwnd, VarPtr(CAPSTATUS), Len(CAPSTATUS)
        
    '// Resize the capture window to the capture sizes
    SetWindowPos lwnd, HWND_BOTTOM, 0, 0, _
                       CAPSTATUS.uiImageWidth, _
                       CAPSTATUS.uiImageHeight, _
                       SWP_NOMOVE Or SWP_NOZORDER
    picwidth = CAPSTATUS.uiImageWidth
    picheight = CAPSTATUS.uiImageHeight
    
    If (picwidth = 0) Or (picheight = 0) Then
       'Unload Veye.frmMain
       
       Debug.Print ("w=" + Str$(picwidth))
       Exit Sub
    End If
    
    ReDim VideoData(2, picwidth - 1, picheight - 1)
    databytes = 3# * picwidth * picheight

End Sub




Private Sub Form_Load()

    Dim lpszName As String * 100
    Dim lpszVer As String * 100
    Dim Caps As CAPDRIVERCAPS
    Dim d As Integer

    For d = 0 To 9
    '//Create Capture Window
       If capGetDriverDescriptionA(d, lpszName, 100, lpszVer, 100) Then   '// Retrieves driver info
          lwndC = capCreateCaptureWindowA(lpszName, WS_CHILD Or WS_VISIBLE, 0, 0, 160, 120, viewfinder.hwnd, 0)

           '// Connect the capture window to the driver
          If capDriverConnect(lwndC, d) Then
             Exit For
          Else
             DestroyWindow lwndC
          End If
        End If
    Next
    If d > 9 Then
       MsgBox "Veye could not find camera"
       Exit Sub
    End If
    
    capDriverGetCaps lwndC, VarPtr(Caps), Len(Caps)
    
    '// If the capture driver does not support a dialog, grey it out
    '// in the menu bar.
'    If Caps.fHasDlgVideoSource = 0 Then mnuSource.Enabled = False
'    If Caps.fHasDlgVideoFormat = 0 Then mnuFormat.Enabled = False
'    If Caps.fHasDlgVideoDisplay = 0 Then mnuDisplay.Enabled = False
    
    '// Set the video stream callback function
'    capSetCallbackOnVideoStream lwndC, AddressOf MyVideoStreamCallback
'    capSetCallbackOnFrame lwndC, AddressOf MyFrameCallback
 '   capSetCallbackOnError lwndC, AddressOf MyErrorCallback
    
    '// Set the preview rate in milliseconds
    capPreviewRate lwndC, 100 'ms
    
'    mnuPreview.Checked = True
    
    '// Start previewing the image from the camera
    capPreview lwndC, True
        
    '// Resize the capture window to show the whole image
    ResizeCaptureWindow lwndC
    Exit Sub

    

End Sub



Private Sub Form_Unload(Cancel As Integer)

    '// Disable all callback
    capPreview lwndC, False
    capSetCallbackOnError lwndC, vbNull
    capSetCallbackOnStatus lwndC, vbNull
    capSetCallbackOnYield lwndC, vbNull
    capSetCallbackOnFrame lwndC, vbNull
    capSetCallbackOnVideoStream lwndC, vbNull
    capSetCallbackOnWaveStream lwndC, vbNull
    capSetCallbackOnCapControl lwndC, vbNull
    capDriverDisconnect lwndC


End Sub

Private Sub killit_Click()
kill = True
End Sub
